## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.ThumbnailDocumentListener

    java.lang.Object
      org.apache.batik.swing.svg.SVGDocumentLoaderAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.ThumbnailDocumentListener

All Implemented Interfaces:
  SVGDocumentLoaderListener

Enclosing class:
  ThumbnailDialog

protected class ThumbnailDialog.ThumbnailDocumentListener
extends SVGDocumentLoaderAdapter

Used to determine whether or not the GVT tree of the thumbnail has to be updated.

Constructor Summary
`protected` `ThumbnailDialog.ThumbnailDocumentListener()`

Method Summary
`void` `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Methods inherited from class org.apache.batik.swing.svg.SVGDocumentLoaderAdapter
`documentLoadingCancelled, documentLoadingCompleted, documentLoadingFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailDialog.ThumbnailDocumentListener

    protected ThumbnailDialog.ThumbnailDocumentListener()

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Description copied from class: `SVGDocumentLoaderAdapter`
  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`
  Overrides:
    `documentLoadingStarted` in class `SVGDocumentLoaderAdapter`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.